gi-vte-2.91.35: Vte bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Vte.Structs.Uuid

Contents

- Exported types
- Methods
  - dup
  - equal
  - free
  - freeToString
  - newFromString
  - newV4
  - newV5
  - toString
  - validateString

Description

An object representing an UUID.

Since: 0.78

Synopsis

- newtype Uuid = Uuid (ManagedPtr Uuid)
- uuidDup :: (HasCallStack, MonadIO m) => Uuid -> m Uuid
- uuidEqual :: (HasCallStack, MonadIO m) => Uuid -> Uuid -> m Bool
- uuidFree :: (HasCallStack, MonadIO m) => Uuid -> m ()
- uuidFreeToString :: (HasCallStack, MonadIO m) => Uuid -> [UuidFormat] -> CSize -> m Text
- uuidNewFromString :: (HasCallStack, MonadIO m) => Text -> Int64 -> [UuidFormat] -> m (Maybe Uuid)
- uuidNewV4 :: (HasCallStack, MonadIO m) => m Uuid
- uuidNewV5 :: (HasCallStack, MonadIO m) => Maybe Uuid -> Text -> Int64 -> m Uuid
- uuidToString :: (HasCallStack, MonadIO m) => Uuid -> [UuidFormat] -> m (Text, CSize)
- uuidValidateString :: (HasCallStack, MonadIO m) => Text -> Int64 -> [UuidFormat] -> m Bool

# Exported types

newtype Uuid Source #

Memory-managed wrapper type.

Constructors

Uuid (ManagedPtr Uuid) |

#### Instances

Instances details

Eq Uuid Source # |
Instance details Defined in GI.Vte.Structs.Uuid Methods (==) :: Uuid -> Uuid -> Bool Source # (/=) :: Uuid -> Uuid -> Bool Source #
GBoxed Uuid Source # |
Instance details Defined in GI.Vte.Structs.Uuid
ManagedPtrNewtype Uuid Source # |
Instance details Defined in GI.Vte.Structs.Uuid Methods toManagedPtr :: Uuid -> ManagedPtr Uuid Source #
TypedObject Uuid Source # |
Instance details Defined in GI.Vte.Structs.Uuid Methods glibType :: IO GType Source #
HasParentTypes Uuid Source # |
Instance details Defined in GI.Vte.Structs.Uuid
IsGValue (Maybe Uuid) Source # | Convert `Uuid` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Vte.Structs.Uuid Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe Uuid -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe Uuid) Source #
type ParentTypes Uuid Source # |
Instance details Defined in GI.Vte.Structs.Uuid type ParentTypes Uuid = '[] :: [Type]

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

dup, equal, free, freeToString, newV5, toString.

#### Getters

None.

#### Setters

None.

## dup

uuidDup Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Uuid | `uuid`: a `Uuid`
-> m Uuid | Returns: a new copy of @`uuid`

Creates a copy of `uuid`.

Since: 0.78

## equal

uuidEqual Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Uuid | `uuid`: a `Uuid`
-> Uuid |
-> m Bool | Returns: `True` iff `uuid` and `other` are equal

Compares `uuid` and `other` for equality.

Since: 0.78

## free

uuidFree Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Uuid | `uuid`: a `Uuid`
-> m () |

Frees `uuid`.

Since: 0.78

## freeToString

uuidFreeToString Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Uuid | `uuid`: a `Uuid`
-> [UuidFormat] | `fmt`: a `UuidFormat`
-> CSize | `len`: a location to store the length of the returned string, or `Nothing`
-> m Text | Returns: a string representation of `uuid`

Frees `uuid` and returns its string representation, see `uuidToString` for more information.

Since: 0.78

## newFromString

uuidNewFromString Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Text | `str`: a string
-> Int64 | `len`: the length of `str`, or -1 is `str` is NUL terminated
-> [UuidFormat] | `fmt`: flags from `UuidFormat` for which fmt(s) to accept
-> m (Maybe Uuid) | Returns: a new UUID, or `Nothing` is `str` is not a valid UUID string representation

Creates a new UUID from its string representation `str`.

Since: 0.78

## newV4

uuidNewV4 Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Uuid | Returns: a new v4 UUID

Creates a new random UUID.

Since: 0.78

## newV5

uuidNewV5 Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Maybe Uuid | `ns`: the namespace `Uuid`
-> Text | `data`: string data
-> Int64 | `len`: the length of `data`, or -1 if `str` is NUL terminated
-> m Uuid | Returns: a new v5 UUID

Creates a new UUID for `ns` and `str`.

Since: 0.78

## toString

uuidToString Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Uuid | `uuid`: a `Uuid`
-> [UuidFormat] | `fmt`: a `UuidFormat`
-> m (Text, CSize) | Returns: a string representation of `uuid`

Returns the string representation of `uuid`.

Since: 0.78

## validateString

uuidValidateString Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Text | `str`: a string
-> Int64 | `len`: the length of `str`, or -1 is `str` is NUL terminated
-> [UuidFormat] | `fmt`: a `UuidFormat`
-> m Bool | Returns: `True` iff `str` is a valid string representation

Checks whether `str` is a valid string representation of an UUID.

Since: 0.78